Subject: [apps-discuss] draft-kucherawy-received-state

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 9 Jan 2012 14:51:39 -0800

Hi all,

Over on ietf-smtp, https://datatracker.ietf.org/doc/draft-kucherawy-received-state/ was developed late last year.  This is an optional tweak to email Received fields allowing annotation of entry into special states of mail handling, such as quarantines or hold-for-moderation MLM actions that would help to explain large gaps in timestamp sequences.

I'm looking for a wider audience of reviewers and (hopefully supporters).  If this sort of thing seems like a good (or terrible) idea, please do follow up and comment.

How much and what kind of support is evident will guide the choice of what its next steps are (if any).

Thanks,
-MSK

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 10 Jan 2012 09:03:10 +0200

Hi Murray,

This seems to be an interesting document (as for me).  You only have
made two mistakes in ABNF block:

      State = "state" queue-state-keyword

should be

      State = "state" FWS queue-state-keyword
                ; <FWS> defined in [RFC5322]

Additionally, this:

   A transfer agent making use of this extension MAY also include header
   field comments to provide additional information.

doesn't suit ABNF as well.  RFC 5321 defined <Stamp> as follows:

   Stamp          = From-domain By-domain Opt-info [CFWS] ";"
                  FWS date-time
                  ; where "date-time" is as defined in RFC 5322 [4]
                  ; but the "obs-" forms, especially two-digit
                  ; years, are prohibited in SMTP and MUST NOT be used.

and this means that comments should be used after all the clauses,
whereas you allow the comment after each 'state' clause.  You can fix
this by adding :

      State = "state" FWS queue-state-keyword [CFWS]
                ; <FWS>, <CFWS> defined in [RFC5322]

And, finally, in Section 4.2:

   Name:  The name of the state keyword being defined or updated

I would change this to:

   Name:  The name of the state keyword

Generally, I support this document either as WG document (should it be
adopted by the WG) or Individual submission on IETF stream.

All the best,
Mykyta Yevstifeyev

2012/1/10 Murray S. Kucherawy <[email-masked]>:
> Hi all,
>
>
>
> Over on ietf-smtp,
> https://datatracker.ietf.org/doc/draft-kucherawy-received-state/ was
> developed late last year.  This is an optional tweak to email Received
> fields allowing annotation of entry into special states of mail handling,
> such as quarantines or hold-for-moderation MLM actions that would help to
> explain large gaps in timestamp sequences.
>
>
>
> I’m looking for a wider audience of reviewers and (hopefully supporters).
> If this sort of thing seems like a good (or terrible) idea, please do follow
> up and comment.
>
>
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 9 Jan 2012 23:25:29 -0800

> -----Original Message-----
> From: Mykyta Yevstifeyev [mailto:[email-masked]]
> Sent: Monday, January 09, 2012 11:03 PM
> To: Murray S. Kucherawy
> Cc: [email-masked]
> Subject: Re: [apps-discuss] draft-kucherawy-received-state
> 
> Hi Murray,

Hello Mykyta,

> doesn't suit ABNF as well.  RFC 5321 defined <Stamp> as follows:

Actually "state" is covered by this, from RFC5322:

	Additional-Registered-Clauses  = CFWS Atom FWS String

We're defining a new Atom and String in this context.  So really we want:

	State = CFWS "state" FWS queue-state-keyword
            ; FWS and CFWS are defined in [MAIL]

...which matches the trace information clauses defined in RFC5322.  I've updated it to match this.

Thanks,
-MSK

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 10 Jan 2012 09:33:36 +0200

> ...which matches the trace information clauses defined in RFC5322.  I've updated it to match this.

Yes, this is better.  And with respect to allowing comments after
separate 'state' clauses?

Mykyta

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 10 Jan 2012 10:06:25 -0800

> Sent: Monday, January 09, 2012 11:34 PM
> To: Murray S. Kucherawy

The [CFWS] at the end of the ABNF for "Stamp" (RFC5321, Section 4.4) allows this.

-MSK